************************************
****** 	WOOLDRIDGE CH. 11 *******
************************************

**** EX. 1 ****

clear all
use "C:\Users\ettor\OneDrive\Desktop\Tutoring Econometrics\ECONOMETRICS\STATA files\HSEINV.DTA" 

describe

*Set time variable

tsset year , y

**Generate first differences and lags

gen lagprice = l.lprice
gen laglinvpc = l.linvpc

gen diffprice = D.lprice
gen difflinvpc = D.linvpc

***** (A)*****

** Let's first visualize the variables
graph twoway line linvpc year
graph twoway line lprice year

* The AR(1) model is equal to log(invpc)= \alpha_0+\alpha_1 [log(invpc)]_-1
reg linvpc laglinvpc
corr linvpc laglinvpc

* The first order autocorrelation is equal to 0.634
* Now we linearly detrend the process
gen Trend = _n
reg linvpc laglinvpc Trend
* After detrending, the autocorrelation is much lower *

*** Doing the same for lprice ***
reg lprice lagprice
corr lprice lagprice

reg lprice lagprice Trend
* After detrending, the autocorrelation for lprice is still very high *
* Therefore, this suggests that the process may have an unit root. Further testing is needed **


***** (B)*****

eststo: reg linvpc diffprice Trend
esttab
* A 1% change in growth prices is estimated to lead to a 3.88% increase in real housing investment above trend.
* The result is significantly different than 0 at any significante level, but the estimate is not really precise, since it may deviate of circa 1%.


***** (C)*****

reg linvpc Trend
gen linvpc_detrend = linvpc -  .0081459  * Trend
reg linvpc_detrend diffprice Trend


* The R^2 falls significantly. lprice appears to have a much lower explanatory power (about 30% of the variation in linvpc above its trend). 


***** (D)*****

eststo: reg difflinvpc diffprice Trend
esttab
* The coefficient _beta1 is much smaller and not statistically different from zero at any significance level.  
* The coefficient _beta2 is smaller, but most importantly, is very insignificant (t=0.02). 
* This is not not surprising, since differencing is precisely meant to eliminate linear time trends.
